com.h3c.util

## Class HTMLUtils.Link

- java.lang.Object
- - com.h3c.util.WebUtils.Tag
  - - com.h3c.util.HTMLUtils.HTMLTag
    - - com.h3c.util.HTMLUtils.Link

- Enclosing class:
    HTMLUtils

      public static class HTMLUtils.Link
      extends HTMLUtils.HTMLTag

  HTML anchor tag.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLUtils.Link(String url)` Creates a new HTML anchor tag with the specified URL.
    `HTMLUtils.Link(String url, String content)` Creates a new HTML anchor tag with the specified URL and the given string as the content.
    `HTMLUtils.Link(String url, String description, HTMLUtils.HTMLTag content)` Creates a new HTML anchor tag with the specified URL, description, and a nested content tag
    `HTMLUtils.Link(String url, String content, String description)` Creates a new HTML anchor tag with the specified URL, description, and a simple content.

  - ### Method Summary

    - ### Methods inherited from class com.h3c.util.HTMLUtils.HTMLTag

      `add, add, attr`

    - ### Methods inherited from class com.h3c.util.WebUtils.Tag

      `addCData, addContent, addContent, addContent, addContent, attr, hasContent, noShorthand, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HTMLUtils.Link

          public HTMLUtils.Link(String url)

      Creates a new HTML anchor tag with the specified URL.
      Parameters:
        `url` - URL to which this anchor links

    - #### HTMLUtils.Link

          public HTMLUtils.Link(String url,
                        String content)

      Creates a new HTML anchor tag with the specified URL and the given string as the content.
      Parameters:
        `url` - URL to which this anchor links
        `content` - simple anchor tag content

    - #### HTMLUtils.Link

          public HTMLUtils.Link(String url,
                        String content,
                        String description)

      Creates a new HTML anchor tag with the specified URL, description, and a simple content.
      Parameters:
        `url` - URL to which this anchor links
        `description` - alternate link description
        `content` - simple anchor tag content

    - #### HTMLUtils.Link

          public HTMLUtils.Link(String url,
                        String description,
                        HTMLUtils.HTMLTag content)

      Creates a new HTML anchor tag with the specified URL, description, and a nested content tag
      Parameters:
        `url` - URL to which this anchor links
        `description` - alternate link description
        `content` - HTML tag to be nested in the anchor tag content

Copyright © 2014. All Rights Reserved.